#include "VrNumUtils.h"
#include <iostream>

// 大小端翻转
short CVrNumUtils::NumFlip(short nData)
{
	short sNumHi = (nData >> 8 & 0xff);
	short sNumLo = nData & 0xff;
	return sNumLo << 8 | sNumHi;
}

// 大小端翻转
float CVrNumUtils::NumFlipFloat(float fData)
{
	char* pData = (char *)&fData;
	// 手动交换字节
	std::swap(pData[0], pData[3]);
	std::swap(pData[1], pData[2]);
	return *((float*)pData);
}